Subject: Re: bug#43866: 26.3; italian postfix additions

From: Juri Linkov <[email-masked]>
Date: Tue, 20 Oct 2020 22:56:07 +0300

> The implementation seems to rely on a file in the /usr/include tree
> that might not be there.  This is a significant disadvantage, IMO.  It
> means that, unlike all other similar facilities in Emacs, this one is
> not self-contained.
>
> Is it possible to lift this limitation?

I tried to generate an output with a list of characters,
but can't find a print-related variable that would
print a number as a character.

For example, currently

  (prin1 ?⌘ (current-buffer)) => 8984

prints the number 8984, but I need to print the character, i.e.

  (prin1 ?⌘ (current-buffer)) => ?⌘

There is the variable 'float-output-format' that affects the output
of floating-point numbers, e.g.

  (let ((float-output-format "%.2f")) (prin1 12.345 (current-buffer)))

but I can't find a variable to print characters instead of integers.